# Apps using `ratatui`

| Name                                                                 | Description                                                                                               | Author                                                   |
| -------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| [adsb_deku/radar](https://github.com/rsadsb/adsb_deku#radar-tui)     | Rust ADS-B decoder + TUI radar application                                                                | [Rust ADS-B](https://github.com/rsadsb)                  |
| [bandwhich](https://github.com/imsnif/bandwhich)                     | Terminal utility for displaying current network utilization by process, connection and remote IP/hostname | [Aram Drevekenin](https://github.com/imsnif)             |
| [battleship.rs](https://github.com/deepu105/battleship-rs)           | A terminal battleship game in Rust                                                                        | [Deepu K Sasidharan](https://github.com/deepu105)        |
| [bottom](https://github.com/ClementTsang/bottom)                     | Yet another cross-platform graphical process/system monitor                                               | [Clement Tsang](https://github.com/ClementTsang)         |
| [conclusive](https://github.com/mrusme/conclusive)                   | Command line client for Plausible Analytics                                                               | [mrusme](https://github.com/mrusme)                      |
| [cotp](https://github.com/replydev/cotp)                             | Trustworthy, encrypted, command-line TOTP/HOTP authenticator app with import functionality                | [Reply](https://github.com/replydev)                     |
| [cube timer](https://github.com/paarthmadan/cube)                    | A tui-based Rubik's cube timer written in Rust                                                            | [Paarth Madan](https://github.com/paarthmadan)           |
| [desed](https://github.com/SoptikHa2/desed)                          | Debugger for Sed: demystify and debug your sed scripts, from comfort of your terminal                     | [Petr Šťastný](https://github.com/SoptikHa2)             |
| [diskonaut](https://github.com/imsnif/diskonaut)                     | Terminal disk space navigator                                                                             | [Aram Drevekenin](https://github.com/imsnif)             |
| [exhaust](https://github.com/heyrict/exhaust)                        | Exhaust all your possibilities.. for the next coming exam                                                 | [Zhenhui Xie](https://github.com/heyrict)                |
| [game-of-life-rs](https://github.com/kachark/game-of-life-rs)        | Conway's Game of Life implemented in Rust and visualized with Tui-rs                                      | [kachark](https://github.com/kachark)                    |
| [gitui](https://github.com/extrawurst/gitui)                         | Blazing fast terminal-ui for Git written in Rust                                                          | [extrawurst](https://github.com/extrawurst)              |
| [glicol-cli](https://github.com/glicol/glicol-cli)                   | Music live coding in terminal                                                                             | [glicol](https://github.com/glicol)                      |
| [gpg-tui](https://github.com/orhun/gpg-tui)                          | Manage your GnuPG keys with ease!                                                                         | [Orhun Parmaksız](https://github.com/orhun)              |
| [gping](https://github.com/orf/gping)                                | Ping, but with a graph                                                                                    | [Tom Forbes](https://github.com/orf)                     |
| [joshuto](https://github.com/kamiyaa/joshuto)                        | Ranger-like terminal file manager written in Rust                                                         | [Jeff Zhao](https://github.com/kamiyaa)                  |
| [kDash](https://github.com/kdash-rs/kdash)                           | A simple and fast dashboard for Kubernetes                                                                | [kdash-rs ](https://github.com/kdash-rs)                 |
| [kmon](https://github.com/orhun/kmon)                                | Linux Kernel Manager and Activity Monitor                                                                 | [Orhun Parmaksız](https://github.com/orhun)              |
| [kubectl-watch](https://github.com/imuxin/kubectl-watch)             | A kubectl plugin to provide a pretty delta change view of being watched kubernetes resources              | [牧心](https://github.com/imuxin)                        |
| [logss](https://github.com/todoesverso/logss)                        | A simple command line tool that helps you visualize an input stream of text.                              | [Victor Rosales](https://github.com/todoesverso)         |
| [minesweep](https://github.com/cpcloud/minesweep-rs)                 | Sweep some mines for fun, and probably not for profit                                                     | [Phillip Cloud](https://github.com/cpcloud)              |
| [oha](https://github.com/hatoo/oha)                                  | HTTP load generator, inspired by rakyll/hey with tui animation                                            | [hatoo](https://github.com/hatoo)                        |
| [oxker](https://github.com/mrjackwills/oxker)                        | a simple tui to view & control docker containers                                                          | [Jack Wills](https://github.com/mrjackwills)             |
| [poketex](https://github.com/ckaznable/poketex)                      | A simple pokedex based on TUI                                                                             | [CK Aznable](https://github.com/ckaznable)               |
| [repgrep](https://github.com/acheronfail/repgrep)                    | An interactive find and replace app powered by ripgrep                                                    | [acheronfail](https://github.com/acheronfail)            |
| [rrtop](https://github.com/wojciech-zurek/rrtop)                     | Redis monitoring (top like) app                                                                           | [Wojciech Żurek](https://github.com/wojciech-zurek)      |
| [rust-sadari-cli](https://github.com/24seconds/rust-sadari-cli)      | Sadari game based on terminal                                                                             | [24seconds](https://github.com/24seconds)                |
| [rusty-krab-manager](https://github.com/aryakaul/rusty-krab-manager) | Time-management TUI in Rust                                                                               | [Arya](https://github.com/aryakaul)                      |
| [spotify-tui](https://github.com/Rigellute/spotify-tui)              | Spotify for the terminal written in Rust                                                                  | [Alexander Keliris](https://github.com/Rigellute)        |
| [systeroid](https://github.com/orhun/systeroid)                      | A more powerful alternative to sysctl(8) with a terminal user interface                                   | [Orhun Parmaksız](https://github.com/orhun)              |
| [taskwarrior-tui](https://github.com/kdheepak/taskwarrior-tui)       | A terminal user interface for Taskwarrior                                                                 | [Dheepak Krishnamurthy](https://github.com/kdheepak)     |
| [termchat](https://github.com/lemunozm/termchat)                     | Terminal chat through the LAN with video streaming and file transfer                                      | [Luis Enrique Muñoz Martín](https://github.com/lemunozm) |
| [termscp](https://github.com/veeso/termscp)                          | A feature rich terminal UI file transfer and explorer with support for SCP/SFTP/FTP/S3                    | [Christian Visintin](https://github.com/veeso)           |
| [tick-rs](https://github.com/tarkah/tickrs)                          | Realtime ticker data in your terminal                                                                     | [Cory Forsstrom](https://github.com/tarkah)              |
| [tsuchita](https://github.com/kamiyaa/tsuchita)                      | Client-server notification center for dbus desktop notifications                                          | [Jeff Zhao](https://github.com/kamiyaa)                  |
| [tuinance](https://github.com/landchad/tuinance)                     | Display financial data on the terminal                                                                    | [bloatoo](https://github.com/bloatoo)                    |
| [vector](https://vector.dev)                                         | A lightweight, ultra-fast tool for building observability pipelines                                       | [vectordotdev](https://github.com/vectordotdev)          |
| [xplr](https://github.com/sayanarijit/xplr)                          | A hackable, minimal, fast TUI file explorer                                                               | [Arijit Basu](https://github.com/sayanarijit/xplr)       |
| [ytop](https://github.com/cjbassi/ytop)                              | A TUI system monitor written in Rust (no longer maintained)                                               | [Caleb Bassi](https://github.com/cjbassi)                |
| [zenith](https://github.com/bvaisvil/zenith)                         | Sort of like top or htop but with zoom-able charts, CPU, GPU, network, and disk usage                     | [Benjamin Vaisvil](https://github.com/bvaisvil)          |
